### Virtual Method

# EDataServer Source invoke_credentials_required_impl

#### Declaration [src]

    gboolean
    invoke_credentials_required_impl (
      ESource* source,
      gpointer dbus_source,
      const gchar* arg_reason,
      const gchar* arg_certificate_pem,
      const gchar* arg_certificate_errors,
      const gchar* arg_dbus_error_name,
      const gchar* arg_dbus_error_message,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`dbus_source`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`arg_reason`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_certificate_pem`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_certificate_errors`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_dbus_error_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_dbus_error_message`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.